cascading.util.jgrapht

## Class DOTExporter<V,E>

- java.lang.Object
- - cascading.util.jgrapht.DOTExporter<V,E>

-     public class DOTExporter<V,E>
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DOTExporter()` Constructs a new DOTExporter object with an integer name provider for the vertex IDs and null providers for the vertex and edge labels.
    `DOTExporter(VertexNameProvider<V> vertexIDProvider, VertexNameProvider<V> vertexLabelProvider, EdgeNameProvider<E> edgeLabelProvider)` Constructs a new DOTExporter object with the given ID and label providers.
    `DOTExporter(VertexNameProvider<V> vertexIDProvider, VertexNameProvider<V> vertexLabelProvider, EdgeNameProvider<E> edgeLabelProvider, ComponentAttributeProvider<V> vertexAttributeProvider, ComponentAttributeProvider<E> edgeAttributeProvider)` Constructs a new DOTExporter object with the given ID, label, and attribute providers.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `export(java.io.Writer writer, org.jgrapht.Graph<V,E> g)` Exports a graph into a plain text file in DOT format.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DOTExporter

          public DOTExporter()

      Constructs a new DOTExporter object with an integer name provider for the vertex IDs and null providers for the vertex and edge labels.

    - #### DOTExporter

          public DOTExporter(VertexNameProvider<V> vertexIDProvider,
                     VertexNameProvider<V> vertexLabelProvider,
                     EdgeNameProvider<E> edgeLabelProvider)

      Constructs a new DOTExporter object with the given ID and label providers.
      Parameters:
        `vertexIDProvider` - for generating vertex IDs. Must not be null.
        `vertexLabelProvider` - for generating vertex labels. If null, vertex labels will not be written to the file.
        `edgeLabelProvider` - for generating edge labels. If null, edge labels will not be written to the file.

    - #### DOTExporter

          public DOTExporter(VertexNameProvider<V> vertexIDProvider,
                     VertexNameProvider<V> vertexLabelProvider,
                     EdgeNameProvider<E> edgeLabelProvider,
                     ComponentAttributeProvider<V> vertexAttributeProvider,
                     ComponentAttributeProvider<E> edgeAttributeProvider)

      Constructs a new DOTExporter object with the given ID, label, and attribute providers. Note that if a label provider conflicts with a label-supplying attribute provider, the label provider is given precedence.
      Parameters:
        `vertexIDProvider` - for generating vertex IDs. Must not be null.
        `vertexLabelProvider` - for generating vertex labels. If null, vertex labels will not be written to the file (unless an attribute provider is supplied which also supplies labels).
        `edgeLabelProvider` - for generating edge labels. If null, edge labels will not be written to the file.
        `vertexAttributeProvider` - for generating vertex attributes. If null, vertex attributes will not be written to the file.
        `edgeAttributeProvider` - for generating edge attributes. If null, edge attributes will not be written to the file.

  - ### Method Detail

    - #### export

          public void export(java.io.Writer writer,
                    org.jgrapht.Graph<V,E> g)

      Exports a graph into a plain text file in DOT format.
      Parameters:
        `writer` - the writer to which the graph to be exported
        `g` - the graph to be exported

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.